Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZBugStatus Class Reference

## Public Member Functions
| __construct ( $id=-1)
| store ()
| delete ()
| get ( $id=-1)
| getAll ()
| id ()
| name ( $html=true)
| setName ( $value)

## Public Attributes
| $ID
| $Name

## Detailed Description

! eZBug eZBugStatus handles bug categories.

Example code:

// include the class
// include_once( "ezbug/classes/ezbugstatus.php" );
// create a new class object
$status = new eZBugStatus();
// Set some object values and store them to the database.
$status->setName( "Done" );
$status->store();
$status
$status
Definition: bugedit.php:473
eZBugStatus
Definition: ezbugstatus.php:54

See also
  eZBug eZBugModule eZBugCategory

TODO

Definition at line 53 of file ezbugstatus.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZBugStatus::__construct | ( |  | $id = `-1` | ) |

Constructs a new eZBugStatus object.

If $id is set the object's values are fetched from the database.

Definition at line 61 of file ezbugstatus.php.

References $ID, and $id.

## Member Function Documentation

## ◆ delete()

eZBugStatus::delete | ( |  | ) |

Deletes a eZBugStatus object from the database.

Definition at line 104 of file ezbugstatus.php.

References $db, $res, and eZDB\globalDatabase().

## ◆ get()

eZBugStatus::get | ( |  | $id = `-1` | ) |

Fetches the object information from the database.

Definition at line 126 of file ezbugstatus.php.

References $db, $id, $status_array, eZDB\globalDatabase(), and Name.

## ◆ getAll()

eZBugStatus::getAll | ( |  | ) |

Returns all the categories found in the database.

The categories are returned as an array of eZBugStatus objects.

Definition at line 150 of file ezbugstatus.php.

References $db, $i, $status_array, and eZDB\globalDatabase().

## ◆ id()

eZBugStatus::id | ( |  | ) |

Returns the object ID to the status. This is the unique ID stored in the database.

Definition at line 170 of file ezbugstatus.php.

References $ID.

## ◆ name()

eZBugStatus::name | ( |  | $html = `true` | ) |

Returns the name of the status.

Definition at line 179 of file ezbugstatus.php.

References $Name, and Name.

## ◆ setName()

eZBugStatus::setName | ( |  | $value | ) |

Sets the name of the status.

Definition at line 190 of file ezbugstatus.php.

References Name.

## ◆ store()

eZBugStatus::store | ( |  | ) |

Stores a eZBugStatus object to the database.

Definition at line 73 of file ezbugstatus.php.

References $db, $name, $res, eZDB\globalDatabase(), and Name.

## Member Data Documentation

## ◆ $ID

eZBugStatus::$ID

Definition at line 195 of file ezbugstatus.php.

Referenced by __construct(), and id().

## ◆ $Name

eZBugStatus::$Name

Definition at line 196 of file ezbugstatus.php.

Referenced by name().

The documentation for this class was generated from the following file:

- ezbugstatus.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.